Cabal-1.18.1.5: A framework for packaging Haskell software

Copyright | ...
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Distribution.Simple.PreProcess.Unlit

Description

Remove the "literal" markups from a Haskell source file, including "`>`", "`\begin{code}`", "`\end{code}`", and "`#`"

Synopsis

- unlit :: FilePath -> String -> Either String String
- plain :: String -> String -> String

# Documentation

unlit :: FilePath -> String -> Either String String

`unlit` takes a filename (for error reports), and transforms the given string, to eliminate the literate comments from the program text.

plain :: String -> String -> String

No unliteration.